Bug 977128 - Review Request: nodejs-grunt - The JavaScript Task Runner
Review Request: nodejs-grunt - The JavaScript Task Runner
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On: 977118 977120 977121 977129 977130 977131 977132 977135 977136
Blocks: nodejs-reviews 969823 977122 977141 js-sizzle
  Show dependency treegraph
 
Reported: 2013-06-23 13:04 EDT by Jamie Nguyen
Modified: 2014-03-19 17:17 EDT (History)
3 users (show)

See Also:
Fixed In Version: nodejs-grunt-0.4.1-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-22 00:33:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2013-06-23 13:04:17 EDT
Spec URL: http://jamielinux.fedorapeople.org/grunt/nodejs-grunt.spec
SRPM URL: http://jamielinux.fedorapeople.org/grunt/SRPMS/nodejs-grunt-0.4.1-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
The JavaScript Task Runner.
Comment 1 Zbigniew Jędrzejewski-Szmek 2013-10-07 10:04:15 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=6031073
Comment 2 Zbigniew Jędrzejewski-Szmek 2013-10-07 10:16:14 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
(MIT)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/zbyszek/fedora/977128-nodejs-grunt/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
(nodejs library/extension)
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
Follows nodejs packaging guidelines, afaict.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 5 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
(Tests require a circular dependency, so cannot be turned on currently.)
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-grunt-0.4.1-1.fc19.noarch.rpm
nodejs-grunt.noarch: W: spelling-error %description -l en_US minification -> magnification, indemnification, mummification
nodejs-grunt.noarch: W: only-non-binary-in-usr-lib
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/js-yaml /usr/lib/node_modules/js-yaml
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/async /usr/lib/node_modules/async
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/lodash /usr/lib/node_modules/lodash
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/nopt /usr/lib/node_modules/nopt
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/iconv-lite /usr/lib/node_modules/iconv-lite
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/findup-sync /usr/lib/node_modules/findup-sync
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/eventemitter2 /usr/lib/node_modules/eventemitter2
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/underscore.string /usr/lib/node_modules/underscore.string
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/minimatch /usr/lib/node_modules/minimatch
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/rimraf /usr/lib/node_modules/rimraf
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/hooker /usr/lib/node_modules/hooker
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/dateformat /usr/lib/node_modules/dateformat
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/coffee-script /usr/lib/node_modules/coffee-script
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/which /usr/lib/node_modules/which
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/glob /usr/lib/node_modules/glob
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/colors /usr/lib/node_modules/colors
1 packages and 0 specfiles checked; 0 errors, 18 warnings.

"Dangling symlinks" are not dangling when the package is installed.
only-non-binary-in-usr-lib is OK with nodejs packaging guidelines.


Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-grunt
nodejs-grunt.noarch: W: spelling-error %description -l en_US minification -> magnification, indemnification, mummification
nodejs-grunt.noarch: W: only-non-binary-in-usr-lib
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/js-yaml /usr/lib/node_modules/js-yaml
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/async /usr/lib/node_modules/async
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/lodash /usr/lib/node_modules/lodash
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/nopt /usr/lib/node_modules/nopt
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/iconv-lite /usr/lib/node_modules/iconv-lite
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/findup-sync /usr/lib/node_modules/findup-sync
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/eventemitter2 /usr/lib/node_modules/eventemitter2
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/underscore.string /usr/lib/node_modules/underscore.string
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/minimatch /usr/lib/node_modules/minimatch
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/rimraf /usr/lib/node_modules/rimraf
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/hooker /usr/lib/node_modules/hooker
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/dateformat /usr/lib/node_modules/dateformat
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/coffee-script /usr/lib/node_modules/coffee-script
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/which /usr/lib/node_modules/which
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/glob /usr/lib/node_modules/glob
nodejs-grunt.noarch: W: dangling-symlink /usr/lib/node_modules/grunt/node_modules/colors /usr/lib/node_modules/colors
1 packages and 0 specfiles checked; 0 errors, 18 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-grunt (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(async)
    npm(coffee-script)
    npm(colors)
    npm(dateformat)
    npm(eventemitter2)
    npm(findup-sync)
    npm(glob)
    npm(hooker)
    npm(iconv-lite)
    npm(js-yaml)
    npm(lodash)
    npm(minimatch)
    npm(nopt)
    npm(rimraf)
    npm(underscore.string)
    npm(which)



Provides
--------
nodejs-grunt:
    nodejs-grunt
    npm(grunt)



Source checksums
----------------
http://registry.npmjs.org/grunt/-/grunt-0.4.1.tgz :
  CHECKSUM(SHA256) this package     : f6aea263eb8352843c722864bb84538f1dd68cb4253442dd86a942270807e841
  CHECKSUM(SHA256) upstream package : f6aea263eb8352843c722864bb84538f1dd68cb4253442dd86a942270807e841


Package is APPROVED!
Comment 3 Zbigniew Jędrzejewski-Szmek 2013-10-07 10:19:43 EDT
Oh, I forgot about one thing: I think that Summary/%description should be changed to say something like "JavaScript Library to run tasks"/"Grunt is a JavaScript library to run tasks". The package is not usable directly, and the description is rather opaque for people who don't know anything about nodejs and this specific package.
Comment 4 Zbigniew Jędrzejewski-Szmek 2013-10-29 23:29:19 EDT
Jamie, where are you?
Comment 5 Jamie Nguyen 2013-11-03 04:25:35 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #4)
> Jamie, where are you?

Sorry, have been so busy over the last few weeks, but I have some time over the next week. I'll work on this soon :)
Comment 6 Jamie Nguyen 2013-11-03 04:36:39 EST
Spec URL: http://jamielinux.fedorapeople.org/grunt/nodejs-grunt.spec
SRPM URL: http://jamielinux.fedorapeople.org/grunt/SRPMS/nodejs-grunt-0.4.1-2.fc19.src.rpm

* Sun Nov 03 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.1-2
- improve %%summary
- add ExclusiveArch logic
Comment 7 Gwyn Ciesla 2013-11-04 07:45:22 EST
No SCM request found, unsetting flag.
Comment 8 Thomas Spura 2013-11-24 11:34:58 EST
It seems this package is reviewed. Could it please added to the repositories too? :)
Comment 9 Jamie Nguyen 2013-11-25 15:20:59 EST
New Package SCM Request
=======================
Package Name: nodejs-grunt
Short Description: Grunt is a JavaScript library used for automation and running tasks
Owners: jamielinux patches
Branches: f18 f19 f20 el6
InitialCC:
Comment 10 Gwyn Ciesla 2013-11-26 08:23:12 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-12-07 16:07:13 EST
nodejs-grunt-0.4.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-grunt-0.4.1-2.fc20
Comment 12 Fedora Update System 2013-12-07 16:07:42 EST
nodejs-grunt-0.4.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-grunt-0.4.1-2.fc19
Comment 13 Fedora Update System 2013-12-07 16:08:52 EST
nodejs-grunt-0.4.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-grunt-0.4.1-2.fc18
Comment 14 Fedora Update System 2013-12-07 16:10:20 EST
nodejs-grunt-0.4.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-grunt-0.4.1-2.el6
Comment 15 Jamie Nguyen 2013-12-07 16:11:33 EST
My sincerest apologies for the massive delay :(
Comment 16 Fedora Update System 2013-12-08 12:49:15 EST
nodejs-grunt-0.4.1-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 17 Fedora Update System 2013-12-22 00:33:27 EST
nodejs-grunt-0.4.1-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 18 Fedora Update System 2013-12-22 00:42:57 EST
nodejs-grunt-0.4.1-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 19 Fedora Update System 2013-12-22 00:45:53 EST
nodejs-grunt-0.4.1-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 20 Fedora Update System 2014-02-20 01:59:33 EST
nodejs-grunt-0.4.1-2.el6, nodejs-js-yaml-2.1.0-3.el6, nodejs-underscore-dot-string-2.3.1-3.el6, nodejs-argparse-0.1.15-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.